Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Supported Releases of MATLAB and MATLAB Compiler Runtime

MATLAB Release (Patch level)

MATLAB Compiler Runtime

Comment
R2021a


Code Block
languagebash
> module remove intel-mpi
> module load intel-mpi/2018-intel
> module load matlab/R2021a-generic



Code Block
languagebash
> module remove intel-mpi
> module load intel-mpi/2018-intel
> module matlab-mcr/R2021a-generic


R2021a

recommended version

Warning

Using the default Intel-MPI module (Version 2019), unintended crashes of parallel MATLAB jobs might occur. Please switch to Intel MPI 2018.


R2020b
(Update 5)


Code Block
languagebash
> module remove intel-mpi
> module load intel-mpi/2018-intel
> module load matlab/R2020b_Update5-generic



Code Block
languagebash
> module remove intel-mpi
> module load intel-mpi/2018-intel
> module load matlab-mcr/R2020b_Update3-generic


R2020b
(Update 3)


Warning

Using the default Intel-MPI module (Version 2019), unintended crashes of parallel MATLAB jobs might occur. Please switch to Intel MPI 2018.


R2020a
(Update 5)


Code Block
languagebash
> module remove intel-mpi
> module load intel-mpi/2018-intel
> module load matlab/R2020a_Update5-generic



Code Block
languagebash
> module remove intel-mpi
> module load intel-mpi/2018-intel
> module load matlab-mcr/R2020a_Update5-generic


R2020a
(Update 5)


Warning

Using the default Intel-MPI module (Version 2019), unintended crashes of parallel MATLAB jobs might occur. Please switch to Intel MPI 2018.

Trouble Loading MATLAB Module

...

iconfalse
titleThe MATLAB module is not visible and cannot be loaded

Check your module environment by listing currently loaded modules. As part of LRZ software stack MATLAB is provided via Spack. A Spack module should be loaded. If not, check for available Spack modules and load the newest module.
In order to get access to the list of supported MATLAB releases, you have to load the Spack module spack/release/20.1.

Code Block
languagebash
> module list                       # list loaded modules
> module avail spack                # show all available Spack modules
> module avail spack/release        # show available Spack modules (releases only)
> module switch spack/release/20.1  # load Spack (example)
> module avail matlab               # check for MATLAB


Note
titleFall back to old MATLAB installation

You may also load old installations of MATLAB via an old Spack module. This might be helpful for particular use cases. But, this is a fallback solution! Old software stacks are not supported anymore! Some MATLAB features might not work because setup of MATLAB installation does not match updated system configurations, among others.

Useful MATLAB Commands

Run MATLAB via the "matlab" command only or add command-line arguments. Please consider: All MATLAB command-line arguments are case-sensitive!

...